fn print_name(name: String) {
    println!("Name: {}", name);
}

fn main() {
    let name = String::from("Hatter");
    print_name(name);
    // let name_ref = &name;
    // println!("Name: {}", name_ref);
}